aboutsummaryrefslogtreecommitdiff
path: root/test/performance/odp_cpu_bench_run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/performance/odp_cpu_bench_run.sh')
-rwxr-xr-xtest/performance/odp_cpu_bench_run.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/test/performance/odp_cpu_bench_run.sh b/test/performance/odp_cpu_bench_run.sh
new file mode 100755
index 000000000..15be2e729
--- /dev/null
+++ b/test/performance/odp_cpu_bench_run.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+#
+# SPDX-License-Identifier: BSD-3-Clause
+# Copyright (c) 2022 Nokia
+#
+
+TEST_DIR="${TEST_DIR:-$(dirname $0)}"
+
+# Use short run time in make check
+
+$TEST_DIR/odp_cpu_bench${EXEEXT} -t 1
+
+if [ $? -ne 0 ] ; then
+ echo Test FAILED
+ exit 1
+fi
+
+exit 0